Debian Bug report logs - #256263
yaboot: increase tftp buffer to 5.5Mb

version graph

Package: yaboot; Maintainer for yaboot is Debootloaders Yaboot Maintainers Team <debootloaders-yaboot@lists.alioth.debian.org>; Source for yaboot is src:yaboot.

Reported by: stappers@stappers.nl (Geert Stappers)

Date: Fri, 25 Jun 2004 18:48:02 UTC

Severity: minor

Tags: confirmed, d-i, patch

Found in version 1.3.12-1

Fixed in version yaboot/1.3.12-2

Done: zeevon@debian.org (Warren A. Layton)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
New Bug report received and forwarded. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: submit@bugs.debian.org
Subject: yaboot: increase tftp buffer to 5.5Mb
Date: Fri, 25 Jun 2004 20:33:33 +0200
[Message part 1 (text/plain, inline)]
Package: yaboot
Version: 1.3.12-1
Severity: minor
Tags: d-i


Hello,

This can be considered as a duplicate of the closed bug #242348.
(but without the fight about yaboot1 & yaboot2)

Increase LOAD_BUFFER_SIZE from 5Mb to 0x580000,
that is still below six megabyte ( See #242348 )
The #define is the file second/fs_of.c.


Reason for it this request is that current d-i kernels
are larger then five megabytes.


Cheers
Geert Stappers
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to "Warren A. Layton" <zeevon@debian.org>:
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #10 received at 256263@bugs.debian.org (full text, mbox):

From: "Warren A. Layton" <zeevon@debian.org>
To: Geert Stappers <stappers@stappers.nl>, 256263@bugs.debian.org
Subject: Re: Bug#256263: yaboot: increase tftp buffer to 5.5Mb
Date: Fri, 25 Jun 2004 15:12:56 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 25, 2004 at 08:33:33PM +0200, Geert Stappers wrote:
> This can be considered as a duplicate of the closed bug #242348.
> (but without the fight about yaboot1 & yaboot2)

*grin*

> Increase LOAD_BUFFER_SIZE from 5Mb to 0x580000,
> that is still below six megabyte ( See #242348 )
> The #define is the file second/fs_of.c.

This shouldn't be a problem - Ethan has expressed no real problem so
long as it doesn't exceed 6MB. However...

> Reason for it this request is that current d-i kernels
> are larger then five megabytes.

I imagine one day the kernels will exceed 6MB and we'll be right back
here. :-/

Warren

-- 
Warren A. Layton
GPG Fingerprint: F54C 019D 18BE 6ED8 678D  39D0 21FD D515 BFB8 80A3 
Encrypted E-mail Preferred
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #15 received at 256263@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: debian-boot@lists.debian.org
Cc: 256263@bugs.debian.org
Subject: Re: Transfer FILE: vmlinux method 'load' failed 00000300
Date: Fri, 25 Jun 2004 21:25:42 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 25, 2004 at 05:48:38PM +0100, Colin Watson wrote:
> On Fri, Jun 25, 2004 at 06:14:32PM +0200, Geert Stappers wrote:
 <snip/>
> > > With the images from beta4  the same results :-(
> > 
> > They are also larger then 4Mb
> 
> Ah. Use Debian yaboot 1.3.12-1.
> 
> yaboot (1.3.12-1) unstable; urgency=low
> 
>   * New upstream release
>   * New release has ofpath that supports linux kernels 2.6.3+
>   * Source for libext2 included in new release (Closes: #233811)
>   * Increased tftp buffer size from 4MB to 5MB (Closes: #242348)
> 
>  -- Warren A. Layton <zeevon@debian.org>  Thu, 22 Apr 2004 07:58:17 -0400
> 

Due the current size of more then 5Mb, there is now #256263.


> -- 
> Colin Watson                                  [cjwatson@flatline.org.uk]


Cheers
Geert Stappers
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #20 received at 256263@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: "Warren A. Layton" <zeevon@debian.org>
Cc: debian-boot@lists.debian.org, 256263@bugs.debian.org
Subject: Re: Bug#256263: yaboot: increase tftp buffer to 5.5Mb
Date: Fri, 25 Jun 2004 21:41:47 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 25, 2004 at 03:12:56PM -0400, Warren A. Layton wrote:
> On Fri, Jun 25, 2004 at 08:33:33PM +0200, Geert Stappers wrote:
 <snip what="introduction, refers simular bug"/> 

> > Increase LOAD_BUFFER_SIZE from 5Mb to 0x580000,
> > that is still below six megabyte ( See #242348 )
> > The #define is the file second/fs_of.c.
> 
> This shouldn't be a problem - Ethan has expressed no real problem so
> long as it doesn't exceed 6MB. However...
> 
> > Reason for it this request is that current d-i kernels
> > are larger then five megabytes.
> 
> I imagine one day the kernels will exceed 6MB and we'll be right back
> here. :-/


How should that been readed?
Will there an increase of the buffer in 1.3.12-2?
 Yes: Fine!  (for now, at least as long as kernels are smaller then 5.5Mb)
 No: When will there be yaboot2? 


Just let us, debian-boot, known what can expect.

> 
> Warren


Cheers
Geert Stappers
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to "Warren A. Layton" <zeevon@debian.org>:
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #25 received at 256263@bugs.debian.org (full text, mbox):

From: "Warren A. Layton" <zeevon@debian.org>
To: Geert Stappers <stappers@stappers.nl>
Cc: debian-boot@lists.debian.org, 256263@bugs.debian.org
Subject: Re: Bug#256263: yaboot: increase tftp buffer to 5.5Mb
Date: Fri, 25 Jun 2004 17:43:29 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 25, 2004 at 09:41:47PM +0200, Geert Stappers wrote:
> > > Reason for it this request is that current d-i kernels
> > > are larger then five megabytes.
> > 
> > I imagine one day the kernels will exceed 6MB and we'll be right back
> > here. :-/
> 
> 
> How should that been readed?
> Will there an increase of the buffer in 1.3.12-2?
>  Yes: Fine!  (for now, at least as long as kernels are smaller then 5.5Mb)
>  No: When will there be yaboot2? 
> 
> 
> Just let us, debian-boot, known what can expect.

Pardon me for the confusion. What I meant is that yes, yaboot-1.3.12-2
will have an increased buffer size. However, long-term, I think that
this issue will come up again and again until yaboot2 is released.

Warren

-- 
Warren A. Layton
GPG Fingerprint: F54C 019D 18BE 6ED8 678D  39D0 21FD D515 BFB8 80A3 
Encrypted E-mail Preferred
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #30 received at 256263@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: "Warren A. Layton" <zeevon@debian.org>
Cc: debian-boot@lists.debian.org, 256263@bugs.debian.org
Subject: Re: Bug#256263: trival patch
Date: Sat, 26 Jun 2004 13:35:01 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 25, 2004 at 05:43:29PM -0400, Warren A. Layton wrote:
> On Fri, Jun 25, 2004 at 09:41:47PM +0200, Geert Stappers wrote:
 <snip what="is it a yes or a no"/>
> > 
> > 
> > Just let us, debian-boot, known what we can expect.
> 
> Pardon me for the confusion. What I meant is that yes, yaboot-1.3.12-2
> will have an increased buffer size. However, long-term, I think that

Okay, attached is a trival patch.
Could you do an upload to exprimental?
Or provide a binary an other way?
(I have no compiler that generates ELF for PowerPC
 (I want to install on PowerPC )
)

> this issue will come up again and again until yaboot2 is released.

I did miss the discussion what yaboot2 will bring.
If the only reason is to go through the 6Mb limit on TFTP,
then it makes more sense to reduce the size of kernel.

> 
> Warren

Cheers
Geert Stappers
[Message part 2 (application/pgp-signature, inline)]

Tags added: patch, confirmed Request was from stappers@stappers.nl (Geert Stappers) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #37 received at 256263@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: 256263@bugs.debian.org
Subject: _the_ trivial patch
Date: Sun, 27 Jun 2004 09:43:38 +0200
[Message part 1 (text/plain, inline)]
Here it is

diff -ruN yaboot-1.3.12/debian/changelog yaboot-1.3.12impatient/debian/changelog
--- yaboot-1.3.12/debian/changelog	2004-06-26 12:38:41.000000000 +0200
+++ yaboot-1.3.12impatient/debian/changelog	2004-06-26 13:04:17.000000000 +0200
@@ -1,3 +1,9 @@
+yaboot (1.3.12-2) exprimental; urgency=low
+
+  * Increased tftp buffer size from 5MB to 5.5MB (Closes: #256263)
+
+ -- Warren A. Layton <zeevon@debian.org>  Sat, 26 Jun 2004 12:59:29 +0200
+
 yaboot (1.3.12-1) unstable; urgency=low
 
   * New upstream release
diff -ruN yaboot-1.3.12/second/fs_of.c yaboot-1.3.12impatient/second/fs_of.c
--- yaboot-1.3.12/second/fs_of.c	2004-06-26 12:38:41.000000000 +0200
+++ yaboot-1.3.12impatient/second/fs_of.c	2004-06-26 12:43:59.000000000 +0200
@@ -44,7 +44,7 @@
 #include "debug.h"
 
 #define LOAD_BUFFER_POS		0x600000
-#define LOAD_BUFFER_SIZE	0x500000
+#define LOAD_BUFFER_SIZE	0x580000
 
 static int of_open(struct boot_file_t* file, const char* dev_name,
 		   struct partition_t* part, const char* file_name);
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to "Warren A. Layton" <zeevon@debian.org>:
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #42 received at 256263@bugs.debian.org (full text, mbox):

From: "Warren A. Layton" <zeevon@debian.org>
To: Geert Stappers <stappers@stappers.nl>, 256263@bugs.debian.org
Subject: Re: Bug#256263: _the_ trivial patch
Date: Mon, 28 Jun 2004 08:33:54 -0400
[Message part 1 (text/plain, inline)]
On Sun, Jun 27, 2004 at 09:43:38AM +0200, Geert Stappers wrote:
> Here it is

Pardon my delay - I have the package ready and it will be uploaded later
this afternoon.

Warren

-- 
Warren A. Layton
GPG Fingerprint: F54C 019D 18BE 6ED8 678D  39D0 21FD D515 BFB8 80A3 
Encrypted E-mail Preferred
[Message part 2 (application/pgp-signature, inline)]

Reply sent to zeevon@debian.org (Warren A. Layton):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to stappers@stappers.nl (Geert Stappers):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 256263-close@bugs.debian.org (full text, mbox):

From: zeevon@debian.org (Warren A. Layton)
To: 256263-close@bugs.debian.org
Subject: Bug#256263: fixed in yaboot 1.3.12-2
Date: Mon, 28 Jun 2004 23:47:03 -0400
Source: yaboot
Source-Version: 1.3.12-2

We believe that the bug you reported is fixed in the latest version of
yaboot, which is due to be installed in the Debian FTP archive:

yaboot_1.3.12-2.diff.gz
  to pool/main/y/yaboot/yaboot_1.3.12-2.diff.gz
yaboot_1.3.12-2.dsc
  to pool/main/y/yaboot/yaboot_1.3.12-2.dsc
yaboot_1.3.12-2_powerpc.deb
  to pool/main/y/yaboot/yaboot_1.3.12-2_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 256263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Warren A. Layton <zeevon@debian.org> (supplier of updated yaboot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Jun 2004 08:39:58 -0400
Source: yaboot
Binary: yaboot
Architecture: source powerpc
Version: 1.3.12-2
Distribution: unstable
Urgency: high
Maintainer: Warren A. Layton <zeevon@debian.org>
Changed-By: Warren A. Layton <zeevon@debian.org>
Description: 
 yaboot     - Yet Another Bootloader
Closes: 256263
Changes: 
 yaboot (1.3.12-2) unstable; urgency=high
 .
   * Increased tftp buffer size again, so that d-i will work (Closes: #256263)
Files: 
 9ef0e406e6cd71a32bd1252a6d500a8d 558 base important yaboot_1.3.12-2.dsc
 3ee2d5837294c20f35d4d4c0db3631dd 5525 base important yaboot_1.3.12-2.diff.gz
 9963bdfb2a2b79e5404ffb14150ceff8 180224 base important yaboot_1.3.12-2_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA4ONEIf3VFb+4gKMRAhGTAJ9rE+0DC1f3LlBQlr7/ZRyuRchrdACeMrXj
pcevXiqw6FvIuCxuKC2gRQk=
=WCNd
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, zeevon@debian.org (Warren A. Layton):
Bug#256263; Package yaboot. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to zeevon@debian.org (Warren A. Layton). Full text and rfc822 format available.

Message #52 received at 256263@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: "Warren A. Layton" <zeevon@debian.org>
Cc: debian-boot@lists.debian.org, 256263@bugs.debian.org
Subject: Re: Bug#256263: powerpc newworld netbooting
Date: Tue, 29 Jun 2004 12:54:50 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 28, 2004 at 08:33:54AM -0400, Warren A. Layton wrote:
> On Sun, Jun 27, 2004 at 09:43:38AM +0200, Geert Stappers wrote:
> > Here it is
|  <snip what="trivial patch"/>
> 
> Pardon my delay - I have the package ready and it will be uploaded later
> this afternoon.

Yep, I'm a hurry :-)

The .deb isn't yet at http://ftp.nl.debian.org/debian/pool/main/y/yaboot/
but got it from  http://incoming.debian.org
and can report that it now boots debian-installer from the network!

TNX!!

> 
> Warren

Cheers
Geert Stappers
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:15:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.